OdfDocumentHandler Class Reference documentation

Public Member Functions | List of all members
OdfDocumentHandler Class Referenceabstract

XML writer. More...

`#include <OdfDocumentHandler.hxx>`

## Public Member Functions
virtual | ~OdfDocumentHandler ()
virtual void | startDocument ()=0
| Start an XML document. More...
virtual void | endDocument ()=0
| End the XML document. More...
virtual void | startElement (const char *psName, const librevenge::RVNGPropertyList &xPropList)=0
| Add a start tag to the XML document. More...
virtual void | endElement (const char *psName)=0
| Add a end tag to the XML document. More...
virtual void | characters (const librevenge::RVNGString &sCharacters)=0
| Insert a textual content into the currently opened element. More...

## Detailed Description

XML writer.

This interface is used by the document generators to create a valid XML document. It is up to the implementation if the document will be saved to a file, printed to the standard output, saved to a file inside a package, or whatever else.

## Constructor & Destructor Documentation

## ◆ ~OdfDocumentHandler()

virtual OdfDocumentHandler::~OdfDocumentHandler | ( |  | ) |
| inlinevirtual

## Member Function Documentation

## ◆ characters()

virtual void OdfDocumentHandler::characters | ( | const librevenge::RVNGString & | sCharacters | ) |
| pure virtual

Insert a textual content into the currently opened element.

Parameters

  [in] | sCharacters | the content

## ◆ endDocument()

virtual void OdfDocumentHandler::endDocument | ( |  | ) |
| pure virtual

End the XML document.

## ◆ endElement()

virtual void OdfDocumentHandler::endElement | ( | const char * | psName | ) |
| pure virtual

Add a end tag to the XML document.

Parameters

  [in] | psName | name of the element. It must match the name of the innermost currently opened element.

## ◆ startDocument()

virtual void OdfDocumentHandler::startDocument | ( |  | ) |
| pure virtual

Start an XML document.

## ◆ startElement()

virtual void OdfDocumentHandler::startElement | ( | const char * | psName,
|  | const librevenge::RVNGPropertyList & | xPropList
| ) |  |
| pure virtual

Add a start tag to the XML document.

Parameters

  [in] | psName | name of the element
  [in] | xPropList | list of attributes

The documentation for this class was generated from the following file:

- OdfDocumentHandler.hxx